# pylint: disable=too-many-lines
# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AccessPolicyResponse,
    Activity,
    ActivityDependency,
    ActivityPolicy,
    ActivityRun,
    ActivityRunsQueryResponse,
    AddDataFlowToDebugSessionResponse,
    AdditionalColumns,
    AmazonMWSLinkedService,
    AmazonMWSObjectDataset,
    AmazonMWSSource,
    AmazonRdsForOracleLinkedService,
    AmazonRdsForOraclePartitionSettings,
    AmazonRdsForOracleSource,
    AmazonRdsForOracleTableDataset,
    AmazonRdsForSqlServerLinkedService,
    AmazonRdsForSqlServerLinkedServiceTypeProperties,
    AmazonRdsForSqlServerSource,
    AmazonRdsForSqlServerTableDataset,
    AmazonRedshiftLinkedService,
    AmazonRedshiftSource,
    AmazonRedshiftTableDataset,
    AmazonS3CompatibleLinkedService,
    AmazonS3CompatibleLocation,
    AmazonS3CompatibleReadSettings,
    AmazonS3Dataset,
    AmazonS3LinkedService,
    AmazonS3Location,
    AmazonS3ReadSettings,
    AppFiguresLinkedService,
    AppendVariableActivity,
    ArmIdWrapper,
    AsanaLinkedService,
    AvroDataset,
    AvroFormat,
    AvroSink,
    AvroSource,
    AvroWriteSettings,
    AzPowerShellSetup,
    AzureBatchLinkedService,
    AzureBlobDataset,
    AzureBlobFSDataset,
    AzureBlobFSLinkedService,
    AzureBlobFSLocation,
    AzureBlobFSReadSettings,
    AzureBlobFSSink,
    AzureBlobFSSource,
    AzureBlobFSWriteSettings,
    AzureBlobStorageLinkedService,
    AzureBlobStorageLocation,
    AzureBlobStorageReadSettings,
    AzureBlobStorageWriteSettings,
    AzureDataExplorerCommandActivity,
    AzureDataExplorerLinkedService,
    AzureDataExplorerSink,
    AzureDataExplorerSource,
    AzureDataExplorerTableDataset,
    AzureDataLakeAnalyticsLinkedService,
    AzureDataLakeStoreDataset,
    AzureDataLakeStoreLinkedService,
    AzureDataLakeStoreLocation,
    AzureDataLakeStoreReadSettings,
    AzureDataLakeStoreSink,
    AzureDataLakeStoreSource,
    AzureDataLakeStoreWriteSettings,
    AzureDatabricksDeltaLakeDataset,
    AzureDatabricksDeltaLakeExportCommand,
    AzureDatabricksDeltaLakeImportCommand,
    AzureDatabricksDeltaLakeLinkedService,
    AzureDatabricksDeltaLakeSink,
    AzureDatabricksDeltaLakeSource,
    AzureDatabricksLinkedService,
    AzureFileStorageLinkedService,
    AzureFileStorageLocation,
    AzureFileStorageReadSettings,
    AzureFileStorageWriteSettings,
    AzureFunctionActivity,
    AzureFunctionLinkedService,
    AzureKeyVaultLinkedService,
    AzureKeyVaultSecretReference,
    AzureMLBatchExecutionActivity,
    AzureMLExecutePipelineActivity,
    AzureMLLinkedService,
    AzureMLServiceLinkedService,
    AzureMLUpdateResourceActivity,
    AzureMLWebServiceFile,
    AzureMariaDBLinkedService,
    AzureMariaDBSource,
    AzureMariaDBTableDataset,
    AzureMySqlLinkedService,
    AzureMySqlSink,
    AzureMySqlSource,
    AzureMySqlTableDataset,
    AzurePostgreSqlLinkedService,
    AzurePostgreSqlSink,
    AzurePostgreSqlSinkUpsertSettings,
    AzurePostgreSqlSource,
    AzurePostgreSqlTableDataset,
    AzureQueueSink,
    AzureSearchIndexDataset,
    AzureSearchIndexSink,
    AzureSearchLinkedService,
    AzureSqlDWLinkedService,
    AzureSqlDWLinkedServiceTypeProperties,
    AzureSqlDWTableDataset,
    AzureSqlDatabaseLinkedService,
    AzureSqlDatabaseLinkedServiceTypeProperties,
    AzureSqlMILinkedService,
    AzureSqlMILinkedServiceTypeProperties,
    AzureSqlMITableDataset,
    AzureSqlSink,
    AzureSqlSource,
    AzureSqlTableDataset,
    AzureStorageLinkedService,
    AzureStorageLinkedServiceTypeProperties,
    AzureSynapseArtifactsLinkedService,
    AzureTableDataset,
    AzureTableSink,
    AzureTableSource,
    AzureTableStorageLinkedService,
    AzureTableStorageLinkedServiceTypeProperties,
    BigDataPoolParametrizationReference,
    BinaryDataset,
    BinaryReadSettings,
    BinarySink,
    BinarySource,
    BlobEventsTrigger,
    BlobSink,
    BlobSource,
    BlobTrigger,
    CMKIdentityDefinition,
    CassandraLinkedService,
    CassandraSource,
    CassandraTableDataset,
    ChainingTrigger,
    ChangeDataCaptureFolder,
    ChangeDataCaptureListResponse,
    ChangeDataCaptureResource,
    CloudError,
    CmdkeySetup,
    CommonDataServiceForAppsEntityDataset,
    CommonDataServiceForAppsLinkedService,
    CommonDataServiceForAppsSink,
    CommonDataServiceForAppsSource,
    ComponentSetup,
    CompressionReadSettings,
    ConcurLinkedService,
    ConcurObjectDataset,
    ConcurSource,
    ConnectionStateProperties,
    ContinuationSettingsReference,
    ControlActivity,
    CopyActivity,
    CopyActivityLogSettings,
    CopyComputeScaleProperties,
    CopySink,
    CopySource,
    CopyTranslator,
    CosmosDbLinkedService,
    CosmosDbMongoDbApiCollectionDataset,
    CosmosDbMongoDbApiLinkedService,
    CosmosDbMongoDbApiSink,
    CosmosDbMongoDbApiSource,
    CosmosDbSqlApiCollectionDataset,
    CosmosDbSqlApiSink,
    CosmosDbSqlApiSource,
    CouchbaseLinkedService,
    CouchbaseSource,
    CouchbaseTableDataset,
    CreateDataFlowDebugSessionRequest,
    CreateDataFlowDebugSessionResponse,
    CreateLinkedIntegrationRuntimeRequest,
    CreateRunResponse,
    Credential,
    CredentialListResponse,
    CredentialReference,
    CredentialResource,
    CustomActivity,
    CustomActivityReferenceObject,
    CustomDataSourceLinkedService,
    CustomDataset,
    CustomEventsTrigger,
    CustomSetupBase,
    DWCopyCommandDefaultValue,
    DWCopyCommandSettings,
    DataFlow,
    DataFlowDebugCommandPayload,
    DataFlowDebugCommandRequest,
    DataFlowDebugCommandResponse,
    DataFlowDebugPackage,
    DataFlowDebugPackageDebugSettings,
    DataFlowDebugResource,
    DataFlowDebugSessionInfo,
    DataFlowFolder,
    DataFlowListResponse,
    DataFlowReference,
    DataFlowResource,
    DataFlowSink,
    DataFlowSource,
    DataFlowSourceSetting,
    DataFlowStagingInfo,
    DataLakeAnalyticsUSQLActivity,
    DataMapperMapping,
    DatabricksNotebookActivity,
    DatabricksSparkJarActivity,
    DatabricksSparkPythonActivity,
    Dataset,
    DatasetCompression,
    DatasetDataElement,
    DatasetDebugResource,
    DatasetFolder,
    DatasetListResponse,
    DatasetLocation,
    DatasetReference,
    DatasetResource,
    DatasetSchemaDataElement,
    DatasetStorageFormat,
    DataworldLinkedService,
    Db2LinkedService,
    Db2Source,
    Db2TableDataset,
    DeleteActivity,
    DeleteDataFlowDebugSessionRequest,
    DelimitedTextDataset,
    DelimitedTextReadSettings,
    DelimitedTextSink,
    DelimitedTextSource,
    DelimitedTextWriteSettings,
    DependencyReference,
    DistcpSettings,
    DocumentDbCollectionDataset,
    DocumentDbCollectionSink,
    DocumentDbCollectionSource,
    DrillLinkedService,
    DrillSource,
    DrillTableDataset,
    DynamicsAXLinkedService,
    DynamicsAXResourceDataset,
    DynamicsAXSource,
    DynamicsCrmEntityDataset,
    DynamicsCrmLinkedService,
    DynamicsCrmSink,
    DynamicsCrmSource,
    DynamicsEntityDataset,
    DynamicsLinkedService,
    DynamicsSink,
    DynamicsSource,
    EloquaLinkedService,
    EloquaObjectDataset,
    EloquaSource,
    EncryptionConfiguration,
    EntityReference,
    EnvironmentVariableSetup,
    ExcelDataset,
    ExcelSource,
    ExecuteDataFlowActivity,
    ExecuteDataFlowActivityTypeProperties,
    ExecuteDataFlowActivityTypePropertiesCompute,
    ExecutePipelineActivity,
    ExecutePipelineActivityPolicy,
    ExecutePowerQueryActivityTypeProperties,
    ExecuteSSISPackageActivity,
    ExecuteWranglingDataflowActivity,
    ExecutionActivity,
    ExportSettings,
    ExposureControlBatchRequest,
    ExposureControlBatchResponse,
    ExposureControlRequest,
    ExposureControlResponse,
    Expression,
    ExpressionV2,
    Factory,
    FactoryGitHubConfiguration,
    FactoryIdentity,
    FactoryListResponse,
    FactoryRepoConfiguration,
    FactoryRepoUpdate,
    FactoryUpdateParameters,
    FactoryVSTSConfiguration,
    FailActivity,
    FileServerLinkedService,
    FileServerLocation,
    FileServerReadSettings,
    FileServerWriteSettings,
    FileShareDataset,
    FileSystemSink,
    FileSystemSource,
    FilterActivity,
    Flowlet,
    ForEachActivity,
    FormatReadSettings,
    FormatWriteSettings,
    FtpReadSettings,
    FtpServerLinkedService,
    FtpServerLocation,
    GetDataFactoryOperationStatusResponse,
    GetMetadataActivity,
    GetSsisObjectMetadataRequest,
    GitHubAccessTokenRequest,
    GitHubAccessTokenResponse,
    GitHubClientSecret,
    GlobalParameterListResponse,
    GlobalParameterResource,
    GlobalParameterSpecification,
    GoogleAdWordsLinkedService,
    GoogleAdWordsObjectDataset,
    GoogleAdWordsSource,
    GoogleBigQueryLinkedService,
    GoogleBigQueryObjectDataset,
    GoogleBigQuerySource,
    GoogleBigQueryV2LinkedService,
    GoogleBigQueryV2ObjectDataset,
    GoogleBigQueryV2Source,
    GoogleCloudStorageLinkedService,
    GoogleCloudStorageLocation,
    GoogleCloudStorageReadSettings,
    GoogleSheetsLinkedService,
    GreenplumLinkedService,
    GreenplumSource,
    GreenplumTableDataset,
    HBaseLinkedService,
    HBaseObjectDataset,
    HBaseSource,
    HDInsightHiveActivity,
    HDInsightLinkedService,
    HDInsightMapReduceActivity,
    HDInsightOnDemandLinkedService,
    HDInsightPigActivity,
    HDInsightSparkActivity,
    HDInsightStreamingActivity,
    HdfsLinkedService,
    HdfsLocation,
    HdfsReadSettings,
    HdfsSource,
    HiveLinkedService,
    HiveObjectDataset,
    HiveSource,
    HttpDataset,
    HttpLinkedService,
    HttpReadSettings,
    HttpServerLocation,
    HttpSource,
    HubspotLinkedService,
    HubspotObjectDataset,
    HubspotSource,
    IcebergDataset,
    IcebergSink,
    IcebergWriteSettings,
    IfConditionActivity,
    ImpalaLinkedService,
    ImpalaObjectDataset,
    ImpalaSource,
    ImportSettings,
    InformixLinkedService,
    InformixSink,
    InformixSource,
    InformixTableDataset,
    IntegrationRuntime,
    IntegrationRuntimeAuthKeys,
    IntegrationRuntimeComputeProperties,
    IntegrationRuntimeConnectionInfo,
    IntegrationRuntimeCustomSetupScriptProperties,
    IntegrationRuntimeCustomerVirtualNetwork,
    IntegrationRuntimeDataFlowProperties,
    IntegrationRuntimeDataFlowPropertiesCustomPropertiesItem,
    IntegrationRuntimeDataProxyProperties,
    IntegrationRuntimeDebugResource,
    IntegrationRuntimeListResponse,
    IntegrationRuntimeMonitoringData,
    IntegrationRuntimeNodeIpAddress,
    IntegrationRuntimeNodeMonitoringData,
    IntegrationRuntimeOutboundNetworkDependenciesCategoryEndpoint,
    IntegrationRuntimeOutboundNetworkDependenciesEndpoint,
    IntegrationRuntimeOutboundNetworkDependenciesEndpointDetails,
    IntegrationRuntimeOutboundNetworkDependenciesEndpointsResponse,
    IntegrationRuntimeReference,
    IntegrationRuntimeRegenerateKeyParameters,
    IntegrationRuntimeResource,
    IntegrationRuntimeSsisCatalogInfo,
    IntegrationRuntimeSsisProperties,
    IntegrationRuntimeStatus,
    IntegrationRuntimeStatusListResponse,
    IntegrationRuntimeStatusResponse,
    IntegrationRuntimeVNetProperties,
    JiraLinkedService,
    JiraObjectDataset,
    JiraSource,
    JsonDataset,
    JsonFormat,
    JsonReadSettings,
    JsonSink,
    JsonSource,
    JsonWriteSettings,
    LakeHouseLinkedService,
    LakeHouseLocation,
    LakeHouseReadSettings,
    LakeHouseTableDataset,
    LakeHouseTableSink,
    LakeHouseTableSource,
    LakeHouseWriteSettings,
    LinkedIntegrationRuntime,
    LinkedIntegrationRuntimeKeyAuthorization,
    LinkedIntegrationRuntimeRbacAuthorization,
    LinkedIntegrationRuntimeRequest,
    LinkedIntegrationRuntimeType,
    LinkedService,
    LinkedServiceDebugResource,
    LinkedServiceListResponse,
    LinkedServiceReference,
    LinkedServiceResource,
    LogLocationSettings,
    LogSettings,
    LogStorageSettings,
    LookupActivity,
    MagentoLinkedService,
    MagentoObjectDataset,
    MagentoSource,
    ManagedIdentityCredential,
    ManagedIntegrationRuntime,
    ManagedIntegrationRuntimeError,
    ManagedIntegrationRuntimeNode,
    ManagedIntegrationRuntimeOperationResult,
    ManagedIntegrationRuntimeStatus,
    ManagedPrivateEndpoint,
    ManagedPrivateEndpointListResponse,
    ManagedPrivateEndpointResource,
    ManagedVirtualNetwork,
    ManagedVirtualNetworkListResponse,
    ManagedVirtualNetworkReference,
    ManagedVirtualNetworkResource,
    MapperAttributeMapping,
    MapperAttributeMappings,
    MapperAttributeReference,
    MapperConnection,
    MapperConnectionReference,
    MapperDslConnectorProperties,
    MapperPolicy,
    MapperPolicyRecurrence,
    MapperSourceConnectionsInfo,
    MapperTable,
    MapperTableSchema,
    MapperTargetConnectionsInfo,
    MappingDataFlow,
    MariaDBLinkedService,
    MariaDBSource,
    MariaDBTableDataset,
    MarketoLinkedService,
    MarketoObjectDataset,
    MarketoSource,
    MetadataItem,
    MicrosoftAccessLinkedService,
    MicrosoftAccessSink,
    MicrosoftAccessSource,
    MicrosoftAccessTableDataset,
    MongoDbAtlasCollectionDataset,
    MongoDbAtlasLinkedService,
    MongoDbAtlasSink,
    MongoDbAtlasSource,
    MongoDbCollectionDataset,
    MongoDbCursorMethodsProperties,
    MongoDbLinkedService,
    MongoDbSource,
    MongoDbV2CollectionDataset,
    MongoDbV2LinkedService,
    MongoDbV2Sink,
    MongoDbV2Source,
    MultiplePipelineTrigger,
    MySqlLinkedService,
    MySqlSource,
    MySqlTableDataset,
    NetezzaLinkedService,
    NetezzaPartitionSettings,
    NetezzaSource,
    NetezzaTableDataset,
    NotebookParameter,
    ODataLinkedService,
    ODataResourceDataset,
    ODataSource,
    OdbcLinkedService,
    OdbcSink,
    OdbcSource,
    OdbcTableDataset,
    Office365Dataset,
    Office365LinkedService,
    Office365Source,
    Operation,
    OperationDisplay,
    OperationListResponse,
    OperationLogSpecification,
    OperationMetricAvailability,
    OperationMetricDimension,
    OperationMetricSpecification,
    OperationServiceSpecification,
    OracleCloudStorageLinkedService,
    OracleCloudStorageLocation,
    OracleCloudStorageReadSettings,
    OracleLinkedService,
    OraclePartitionSettings,
    OracleServiceCloudLinkedService,
    OracleServiceCloudObjectDataset,
    OracleServiceCloudSource,
    OracleSink,
    OracleSource,
    OracleTableDataset,
    OrcDataset,
    OrcFormat,
    OrcSink,
    OrcSource,
    OrcWriteSettings,
    OutputColumn,
    PackageStore,
    ParameterSpecification,
    ParquetDataset,
    ParquetFormat,
    ParquetReadSettings,
    ParquetSink,
    ParquetSource,
    ParquetWriteSettings,
    PaypalLinkedService,
    PaypalObjectDataset,
    PaypalSource,
    PhoenixLinkedService,
    PhoenixObjectDataset,
    PhoenixSource,
    PipelineElapsedTimeMetricPolicy,
    PipelineExternalComputeScaleProperties,
    PipelineFolder,
    PipelineListResponse,
    PipelinePolicy,
    PipelineReference,
    PipelineResource,
    PipelineRun,
    PipelineRunInvokedBy,
    PipelineRunsQueryResponse,
    PolybaseSettings,
    PostgreSqlLinkedService,
    PostgreSqlSource,
    PostgreSqlTableDataset,
    PostgreSqlV2LinkedService,
    PostgreSqlV2Source,
    PostgreSqlV2TableDataset,
    PowerQuerySink,
    PowerQuerySinkMapping,
    PowerQuerySource,
    PrestoLinkedService,
    PrestoObjectDataset,
    PrestoSource,
    PrivateEndpoint,
    PrivateEndpointConnectionListResponse,
    PrivateEndpointConnectionResource,
    PrivateLinkConnectionApprovalRequest,
    PrivateLinkConnectionApprovalRequestResource,
    PrivateLinkConnectionState,
    PrivateLinkResource,
    PrivateLinkResourceProperties,
    PrivateLinkResourcesWrapper,
    PurviewConfiguration,
    QueryDataFlowDebugSessionsResponse,
    QuickBooksLinkedService,
    QuickBooksObjectDataset,
    QuickBooksSource,
    QuickbaseLinkedService,
    RecurrenceSchedule,
    RecurrenceScheduleOccurrence,
    RedirectIncompatibleRowSettings,
    RedshiftUnloadSettings,
    RelationalSource,
    RelationalTableDataset,
    RemotePrivateEndpointConnection,
    RerunTumblingWindowTrigger,
    Resource,
    ResponsysLinkedService,
    ResponsysObjectDataset,
    ResponsysSource,
    RestResourceDataset,
    RestServiceLinkedService,
    RestSink,
    RestSource,
    RetryPolicy,
    RunFilterParameters,
    RunQueryFilter,
    RunQueryOrderBy,
    SSISAccessCredential,
    SSISChildPackage,
    SSISExecutionCredential,
    SSISExecutionParameter,
    SSISLogLocation,
    SSISPackageLocation,
    SSISPropertyOverride,
    SalesforceLinkedService,
    SalesforceMarketingCloudLinkedService,
    SalesforceMarketingCloudObjectDataset,
    SalesforceMarketingCloudSource,
    SalesforceObjectDataset,
    SalesforceServiceCloudLinkedService,
    SalesforceServiceCloudObjectDataset,
    SalesforceServiceCloudSink,
    SalesforceServiceCloudSource,
    SalesforceServiceCloudV2LinkedService,
    SalesforceServiceCloudV2ObjectDataset,
    SalesforceServiceCloudV2Sink,
    SalesforceServiceCloudV2Source,
    SalesforceSink,
    SalesforceSource,
    SalesforceV2LinkedService,
    SalesforceV2ObjectDataset,
    SalesforceV2Sink,
    SalesforceV2Source,
    SapBWLinkedService,
    SapBwCubeDataset,
    SapBwSource,
    SapCloudForCustomerLinkedService,
    SapCloudForCustomerResourceDataset,
    SapCloudForCustomerSink,
    SapCloudForCustomerSource,
    SapEccLinkedService,
    SapEccResourceDataset,
    SapEccSource,
    SapHanaLinkedService,
    SapHanaPartitionSettings,
    SapHanaSource,
    SapHanaTableDataset,
    SapOdpLinkedService,
    SapOdpResourceDataset,
    SapOdpSource,
    SapOpenHubLinkedService,
    SapOpenHubSource,
    SapOpenHubTableDataset,
    SapTableLinkedService,
    SapTablePartitionSettings,
    SapTableResourceDataset,
    SapTableSource,
    ScheduleTrigger,
    ScheduleTriggerRecurrence,
    ScriptAction,
    ScriptActivity,
    ScriptActivityParameter,
    ScriptActivityScriptBlock,
    ScriptActivityTypePropertiesLogSettings,
    SecretBase,
    SecureInputOutputPolicy,
    SecureString,
    SelfDependencyTumblingWindowTriggerReference,
    SelfHostedIntegrationRuntime,
    SelfHostedIntegrationRuntimeNode,
    SelfHostedIntegrationRuntimeStatus,
    ServiceNowLinkedService,
    ServiceNowObjectDataset,
    ServiceNowSource,
    ServiceNowV2LinkedService,
    ServiceNowV2ObjectDataset,
    ServiceNowV2Source,
    ServicePrincipalCredential,
    SetVariableActivity,
    SftpLocation,
    SftpReadSettings,
    SftpServerLinkedService,
    SftpWriteSettings,
    SharePointOnlineListLinkedService,
    SharePointOnlineListResourceDataset,
    SharePointOnlineListSource,
    ShopifyLinkedService,
    ShopifyObjectDataset,
    ShopifySource,
    SkipErrorFile,
    SmartsheetLinkedService,
    SnowflakeDataset,
    SnowflakeExportCopyCommand,
    SnowflakeImportCopyCommand,
    SnowflakeLinkedService,
    SnowflakeSink,
    SnowflakeSource,
    SnowflakeV2Dataset,
    SnowflakeV2LinkedService,
    SnowflakeV2Sink,
    SnowflakeV2Source,
    SparkConfigurationParametrizationReference,
    SparkLinkedService,
    SparkObjectDataset,
    SparkSource,
    SqlAlwaysEncryptedProperties,
    SqlDWSink,
    SqlDWSource,
    SqlDWUpsertSettings,
    SqlMISink,
    SqlMISource,
    SqlPartitionSettings,
    SqlServerBaseLinkedServiceTypeProperties,
    SqlServerLinkedService,
    SqlServerLinkedServiceTypeProperties,
    SqlServerSink,
    SqlServerSource,
    SqlServerStoredProcedureActivity,
    SqlServerTableDataset,
    SqlSink,
    SqlSource,
    SqlUpsertSettings,
    SquareLinkedService,
    SquareObjectDataset,
    SquareSource,
    SsisEnvironment,
    SsisEnvironmentReference,
    SsisFolder,
    SsisObjectMetadata,
    SsisObjectMetadataListResponse,
    SsisObjectMetadataStatusResponse,
    SsisPackage,
    SsisParameter,
    SsisProject,
    SsisVariable,
    StagingSettings,
    StoreReadSettings,
    StoreWriteSettings,
    StoredProcedureParameter,
    SubResource,
    SubResourceDebugResource,
    SwitchActivity,
    SwitchCase,
    SybaseLinkedService,
    SybaseSource,
    SybaseTableDataset,
    SynapseNotebookActivity,
    SynapseNotebookReference,
    SynapseSparkJobDefinitionActivity,
    SynapseSparkJobReference,
    TabularSource,
    TabularTranslator,
    TarGZipReadSettings,
    TarReadSettings,
    TeamDeskLinkedService,
    TeradataImportCommand,
    TeradataLinkedService,
    TeradataPartitionSettings,
    TeradataSink,
    TeradataSource,
    TeradataTableDataset,
    TextFormat,
    Transformation,
    Trigger,
    TriggerDependencyReference,
    TriggerFilterParameters,
    TriggerListResponse,
    TriggerPipelineReference,
    TriggerQueryResponse,
    TriggerReference,
    TriggerResource,
    TriggerRun,
    TriggerRunsQueryResponse,
    TriggerSubscriptionOperationStatus,
    TumblingWindowTrigger,
    TumblingWindowTriggerDependencyReference,
    TwilioLinkedService,
    TypeConversionSettings,
    UntilActivity,
    UpdateIntegrationRuntimeNodeRequest,
    UpdateIntegrationRuntimeRequest,
    UserAccessPolicy,
    UserProperty,
    ValidationActivity,
    VariableSpecification,
    VerticaLinkedService,
    VerticaSource,
    VerticaTableDataset,
    WaitActivity,
    WarehouseLinkedService,
    WarehouseSink,
    WarehouseSource,
    WarehouseTableDataset,
    WebActivity,
    WebActivityAuthentication,
    WebAnonymousAuthentication,
    WebBasicAuthentication,
    WebClientCertificateAuthentication,
    WebHookActivity,
    WebLinkedService,
    WebLinkedServiceTypeProperties,
    WebSource,
    WebTableDataset,
    WranglingDataFlow,
    XeroLinkedService,
    XeroObjectDataset,
    XeroSource,
    XmlDataset,
    XmlReadSettings,
    XmlSource,
    ZendeskLinkedService,
    ZipDeflateReadSettings,
    ZohoLinkedService,
    ZohoObjectDataset,
    ZohoSource,
)

from ._data_factory_management_client_enums import (  # type: ignore
    ActivityOnInactiveMarkAs,
    ActivityState,
    AmazonRdsForOraclePartitionOption,
    AmazonRdsForSqlAuthenticationType,
    AvroCompressionCodec,
    AzureFunctionActivityMethod,
    AzurePostgreSqlWriteMethodEnum,
    AzureSearchIndexWriteBehaviorType,
    AzureSqlDWAuthenticationType,
    AzureSqlDatabaseAuthenticationType,
    AzureSqlMIAuthenticationType,
    AzureStorageAuthenticationType,
    BigDataPoolReferenceType,
    BlobEventTypes,
    CassandraSourceReadConsistencyLevels,
    CompressionCodec,
    ConfigurationType,
    ConnectionType,
    CopyBehaviorType,
    CosmosDbConnectionMode,
    CredentialReferenceType,
    DataFlowComputeType,
    DataFlowDebugCommandType,
    DataFlowReferenceType,
    DatasetCompressionLevel,
    DatasetReferenceType,
    DayOfWeek,
    DaysOfWeek,
    Db2AuthenticationType,
    DependencyCondition,
    DynamicsAuthenticationType,
    DynamicsDeploymentType,
    DynamicsSinkWriteBehavior,
    EventSubscriptionStatus,
    ExpressionType,
    ExpressionV2Type,
    FactoryIdentityType,
    FrequencyType,
    FtpAuthenticationType,
    GlobalParameterType,
    GoogleAdWordsAuthenticationType,
    GoogleBigQueryAuthenticationType,
    GoogleBigQueryV2AuthenticationType,
    GreenplumAuthenticationType,
    HBaseAuthenticationType,
    HDInsightActivityDebugInfoOption,
    HdiNodeTypes,
    HiveAuthenticationType,
    HiveServerType,
    HiveThriftTransportProtocol,
    HttpAuthenticationType,
    ImpalaAuthenticationType,
    IntegrationRuntimeAuthKeyName,
    IntegrationRuntimeAutoUpdate,
    IntegrationRuntimeEdition,
    IntegrationRuntimeEntityReferenceType,
    IntegrationRuntimeInternalChannelEncryptionMode,
    IntegrationRuntimeLicenseType,
    IntegrationRuntimeReferenceType,
    IntegrationRuntimeSsisCatalogPricingTier,
    IntegrationRuntimeState,
    IntegrationRuntimeType,
    IntegrationRuntimeUpdateResult,
    JsonFormatFilePattern,
    JsonWriteFilePattern,
    ManagedIntegrationRuntimeNodeStatus,
    ManagedVirtualNetworkReferenceType,
    MappingType,
    MongoDbAuthenticationType,
    NetezzaPartitionOption,
    NotebookParameterType,
    NotebookReferenceType,
    ODataAadServicePrincipalCredentialType,
    ODataAuthenticationType,
    OracleAuthenticationType,
    OraclePartitionOption,
    OrcCompressionCodec,
    ParameterType,
    PhoenixAuthenticationType,
    PipelineReferenceType,
    PolybaseSettingsRejectType,
    PrestoAuthenticationType,
    PublicNetworkAccess,
    RecurrenceFrequency,
    RestServiceAuthenticationType,
    RunQueryFilterOperand,
    RunQueryFilterOperator,
    RunQueryOrder,
    RunQueryOrderByField,
    SalesforceSinkWriteBehavior,
    SalesforceSourceReadBehavior,
    SalesforceV2SinkWriteBehavior,
    SapCloudForCustomerSinkWriteBehavior,
    SapHanaAuthenticationType,
    SapHanaPartitionOption,
    SapTablePartitionOption,
    ScriptActivityLogDestination,
    ScriptActivityParameterDirection,
    ScriptActivityParameterType,
    ScriptType,
    SelfHostedIntegrationRuntimeNodeStatus,
    ServiceNowAuthenticationType,
    ServiceNowV2AuthenticationType,
    ServicePrincipalCredentialType,
    SftpAuthenticationType,
    SnowflakeAuthenticationType,
    SparkAuthenticationType,
    SparkConfigurationReferenceType,
    SparkJobReferenceType,
    SparkServerType,
    SparkThriftTransportProtocol,
    SqlAlwaysEncryptedAkvAuthType,
    SqlDWWriteBehaviorEnum,
    SqlPartitionOption,
    SqlServerAuthenticationType,
    SqlWriteBehaviorEnum,
    SsisLogLocationType,
    SsisObjectMetadataType,
    SsisPackageLocationType,
    StoredProcedureParameterType,
    SybaseAuthenticationType,
    TeamDeskAuthenticationType,
    TeradataAuthenticationType,
    TeradataPartitionOption,
    TriggerReferenceType,
    TriggerRunStatus,
    TriggerRuntimeState,
    TumblingWindowFrequency,
    Type,
    ValueType,
    VariableType,
    WebActivityMethod,
    WebAuthenticationType,
    WebHookActivityMethod,
    ZendeskAuthenticationType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AccessPolicyResponse",
    "Activity",
    "ActivityDependency",
    "ActivityPolicy",
    "ActivityRun",
    "ActivityRunsQueryResponse",
    "AddDataFlowToDebugSessionResponse",
    "AdditionalColumns",
    "AmazonMWSLinkedService",
    "AmazonMWSObjectDataset",
    "AmazonMWSSource",
    "AmazonRdsForOracleLinkedService",
    "AmazonRdsForOraclePartitionSettings",
    "AmazonRdsForOracleSource",
    "AmazonRdsForOracleTableDataset",
    "AmazonRdsForSqlServerLinkedService",
    "AmazonRdsForSqlServerLinkedServiceTypeProperties",
    "AmazonRdsForSqlServerSource",
    "AmazonRdsForSqlServerTableDataset",
    "AmazonRedshiftLinkedService",
    "AmazonRedshiftSource",
    "AmazonRedshiftTableDataset",
    "AmazonS3CompatibleLinkedService",
    "AmazonS3CompatibleLocation",
    "AmazonS3CompatibleReadSettings",
    "AmazonS3Dataset",
    "AmazonS3LinkedService",
    "AmazonS3Location",
    "AmazonS3ReadSettings",
    "AppFiguresLinkedService",
    "AppendVariableActivity",
    "ArmIdWrapper",
    "AsanaLinkedService",
    "AvroDataset",
    "AvroFormat",
    "AvroSink",
    "AvroSource",
    "AvroWriteSettings",
    "AzPowerShellSetup",
    "AzureBatchLinkedService",
    "AzureBlobDataset",
    "AzureBlobFSDataset",
    "AzureBlobFSLinkedService",
    "AzureBlobFSLocation",
    "AzureBlobFSReadSettings",
    "AzureBlobFSSink",
    "AzureBlobFSSource",
    "AzureBlobFSWriteSettings",
    "AzureBlobStorageLinkedService",
    "AzureBlobStorageLocation",
    "AzureBlobStorageReadSettings",
    "AzureBlobStorageWriteSettings",
    "AzureDataExplorerCommandActivity",
    "AzureDataExplorerLinkedService",
    "AzureDataExplorerSink",
    "AzureDataExplorerSource",
    "AzureDataExplorerTableDataset",
    "AzureDataLakeAnalyticsLinkedService",
    "AzureDataLakeStoreDataset",
    "AzureDataLakeStoreLinkedService",
    "AzureDataLakeStoreLocation",
    "AzureDataLakeStoreReadSettings",
    "AzureDataLakeStoreSink",
    "AzureDataLakeStoreSource",
    "AzureDataLakeStoreWriteSettings",
    "AzureDatabricksDeltaLakeDataset",
    "AzureDatabricksDeltaLakeExportCommand",
    "AzureDatabricksDeltaLakeImportCommand",
    "AzureDatabricksDeltaLakeLinkedService",
    "AzureDatabricksDeltaLakeSink",
    "AzureDatabricksDeltaLakeSource",
    "AzureDatabricksLinkedService",
    "AzureFileStorageLinkedService",
    "AzureFileStorageLocation",
    "AzureFileStorageReadSettings",
    "AzureFileStorageWriteSettings",
    "AzureFunctionActivity",
    "AzureFunctionLinkedService",
    "AzureKeyVaultLinkedService",
    "AzureKeyVaultSecretReference",
    "AzureMLBatchExecutionActivity",
    "AzureMLExecutePipelineActivity",
    "AzureMLLinkedService",
    "AzureMLServiceLinkedService",
    "AzureMLUpdateResourceActivity",
    "AzureMLWebServiceFile",
    "AzureMariaDBLinkedService",
    "AzureMariaDBSource",
    "AzureMariaDBTableDataset",
    "AzureMySqlLinkedService",
    "AzureMySqlSink",
    "AzureMySqlSource",
    "AzureMySqlTableDataset",
    "AzurePostgreSqlLinkedService",
    "AzurePostgreSqlSink",
    "AzurePostgreSqlSinkUpsertSettings",
    "AzurePostgreSqlSource",
    "AzurePostgreSqlTableDataset",
    "AzureQueueSink",
    "AzureSearchIndexDataset",
    "AzureSearchIndexSink",
    "AzureSearchLinkedService",
    "AzureSqlDWLinkedService",
    "AzureSqlDWLinkedServiceTypeProperties",
    "AzureSqlDWTableDataset",
    "AzureSqlDatabaseLinkedService",
    "AzureSqlDatabaseLinkedServiceTypeProperties",
    "AzureSqlMILinkedService",
    "AzureSqlMILinkedServiceTypeProperties",
    "AzureSqlMITableDataset",
    "AzureSqlSink",
    "AzureSqlSource",
    "AzureSqlTableDataset",
    "AzureStorageLinkedService",
    "AzureStorageLinkedServiceTypeProperties",
    "AzureSynapseArtifactsLinkedService",
    "AzureTableDataset",
    "AzureTableSink",
    "AzureTableSource",
    "AzureTableStorageLinkedService",
    "AzureTableStorageLinkedServiceTypeProperties",
    "BigDataPoolParametrizationReference",
    "BinaryDataset",
    "BinaryReadSettings",
    "BinarySink",
    "BinarySource",
    "BlobEventsTrigger",
    "BlobSink",
    "BlobSource",
    "BlobTrigger",
    "CMKIdentityDefinition",
    "CassandraLinkedService",
    "CassandraSource",
    "CassandraTableDataset",
    "ChainingTrigger",
    "ChangeDataCaptureFolder",
    "ChangeDataCaptureListResponse",
    "ChangeDataCaptureResource",
    "CloudError",
    "CmdkeySetup",
    "CommonDataServiceForAppsEntityDataset",
    "CommonDataServiceForAppsLinkedService",
    "CommonDataServiceForAppsSink",
    "CommonDataServiceForAppsSource",
    "ComponentSetup",
    "CompressionReadSettings",
    "ConcurLinkedService",
    "ConcurObjectDataset",
    "ConcurSource",
    "ConnectionStateProperties",
    "ContinuationSettingsReference",
    "ControlActivity",
    "CopyActivity",
    "CopyActivityLogSettings",
    "CopyComputeScaleProperties",
    "CopySink",
    "CopySource",
    "CopyTranslator",
    "CosmosDbLinkedService",
    "CosmosDbMongoDbApiCollectionDataset",
    "CosmosDbMongoDbApiLinkedService",
    "CosmosDbMongoDbApiSink",
    "CosmosDbMongoDbApiSource",
    "CosmosDbSqlApiCollectionDataset",
    "CosmosDbSqlApiSink",
    "CosmosDbSqlApiSource",
    "CouchbaseLinkedService",
    "CouchbaseSource",
    "CouchbaseTableDataset",
    "CreateDataFlowDebugSessionRequest",
    "CreateDataFlowDebugSessionResponse",
    "CreateLinkedIntegrationRuntimeRequest",
    "CreateRunResponse",
    "Credential",
    "CredentialListResponse",
    "CredentialReference",
    "CredentialResource",
    "CustomActivity",
    "CustomActivityReferenceObject",
    "CustomDataSourceLinkedService",
    "CustomDataset",
    "CustomEventsTrigger",
    "CustomSetupBase",
    "DWCopyCommandDefaultValue",
    "DWCopyCommandSettings",
    "DataFlow",
    "DataFlowDebugCommandPayload",
    "DataFlowDebugCommandRequest",
    "DataFlowDebugCommandResponse",
    "DataFlowDebugPackage",
    "DataFlowDebugPackageDebugSettings",
    "DataFlowDebugResource",
    "DataFlowDebugSessionInfo",
    "DataFlowFolder",
    "DataFlowListResponse",
    "DataFlowReference",
    "DataFlowResource",
    "DataFlowSink",
    "DataFlowSource",
    "DataFlowSourceSetting",
    "DataFlowStagingInfo",
    "DataLakeAnalyticsUSQLActivity",
    "DataMapperMapping",
    "DatabricksNotebookActivity",
    "DatabricksSparkJarActivity",
    "DatabricksSparkPythonActivity",
    "Dataset",
    "DatasetCompression",
    "DatasetDataElement",
    "DatasetDebugResource",
    "DatasetFolder",
    "DatasetListResponse",
    "DatasetLocation",
    "DatasetReference",
    "DatasetResource",
    "DatasetSchemaDataElement",
    "DatasetStorageFormat",
    "DataworldLinkedService",
    "Db2LinkedService",
    "Db2Source",
    "Db2TableDataset",
    "DeleteActivity",
    "DeleteDataFlowDebugSessionRequest",
    "DelimitedTextDataset",
    "DelimitedTextReadSettings",
    "DelimitedTextSink",
    "DelimitedTextSource",
    "DelimitedTextWriteSettings",
    "DependencyReference",
    "DistcpSettings",
    "DocumentDbCollectionDataset",
    "DocumentDbCollectionSink",
    "DocumentDbCollectionSource",
    "DrillLinkedService",
    "DrillSource",
    "DrillTableDataset",
    "DynamicsAXLinkedService",
    "DynamicsAXResourceDataset",
    "DynamicsAXSource",
    "DynamicsCrmEntityDataset",
    "DynamicsCrmLinkedService",
    "DynamicsCrmSink",
    "DynamicsCrmSource",
    "DynamicsEntityDataset",
    "DynamicsLinkedService",
    "DynamicsSink",
    "DynamicsSource",
    "EloquaLinkedService",
    "EloquaObjectDataset",
    "EloquaSource",
    "EncryptionConfiguration",
    "EntityReference",
    "EnvironmentVariableSetup",
    "ExcelDataset",
    "ExcelSource",
    "ExecuteDataFlowActivity",
    "ExecuteDataFlowActivityTypeProperties",
    "ExecuteDataFlowActivityTypePropertiesCompute",
    "ExecutePipelineActivity",
    "ExecutePipelineActivityPolicy",
    "ExecutePowerQueryActivityTypeProperties",
    "ExecuteSSISPackageActivity",
    "ExecuteWranglingDataflowActivity",
    "ExecutionActivity",
    "ExportSettings",
    "ExposureControlBatchRequest",
    "ExposureControlBatchResponse",
    "ExposureControlRequest",
    "ExposureControlResponse",
    "Expression",
    "ExpressionV2",
    "Factory",
    "FactoryGitHubConfiguration",
    "FactoryIdentity",
    "FactoryListResponse",
    "FactoryRepoConfiguration",
    "FactoryRepoUpdate",
    "FactoryUpdateParameters",
    "FactoryVSTSConfiguration",
    "FailActivity",
    "FileServerLinkedService",
    "FileServerLocation",
    "FileServerReadSettings",
    "FileServerWriteSettings",
    "FileShareDataset",
    "FileSystemSink",
    "FileSystemSource",
    "FilterActivity",
    "Flowlet",
    "ForEachActivity",
    "FormatReadSettings",
    "FormatWriteSettings",
    "FtpReadSettings",
    "FtpServerLinkedService",
    "FtpServerLocation",
    "GetDataFactoryOperationStatusResponse",
    "GetMetadataActivity",
    "GetSsisObjectMetadataRequest",
    "GitHubAccessTokenRequest",
    "GitHubAccessTokenResponse",
    "GitHubClientSecret",
    "GlobalParameterListResponse",
    "GlobalParameterResource",
    "GlobalParameterSpecification",
    "GoogleAdWordsLinkedService",
    "GoogleAdWordsObjectDataset",
    "GoogleAdWordsSource",
    "GoogleBigQueryLinkedService",
    "GoogleBigQueryObjectDataset",
    "GoogleBigQuerySource",
    "GoogleBigQueryV2LinkedService",
    "GoogleBigQueryV2ObjectDataset",
    "GoogleBigQueryV2Source",
    "GoogleCloudStorageLinkedService",
    "GoogleCloudStorageLocation",
    "GoogleCloudStorageReadSettings",
    "GoogleSheetsLinkedService",
    "GreenplumLinkedService",
    "GreenplumSource",
    "GreenplumTableDataset",
    "HBaseLinkedService",
    "HBaseObjectDataset",
    "HBaseSource",
    "HDInsightHiveActivity",
    "HDInsightLinkedService",
    "HDInsightMapReduceActivity",
    "HDInsightOnDemandLinkedService",
    "HDInsightPigActivity",
    "HDInsightSparkActivity",
    "HDInsightStreamingActivity",
    "HdfsLinkedService",
    "HdfsLocation",
    "HdfsReadSettings",
    "HdfsSource",
    "HiveLinkedService",
    "HiveObjectDataset",
    "HiveSource",
    "HttpDataset",
    "HttpLinkedService",
    "HttpReadSettings",
    "HttpServerLocation",
    "HttpSource",
    "HubspotLinkedService",
    "HubspotObjectDataset",
    "HubspotSource",
    "IcebergDataset",
    "IcebergSink",
    "IcebergWriteSettings",
    "IfConditionActivity",
    "ImpalaLinkedService",
    "ImpalaObjectDataset",
    "ImpalaSource",
    "ImportSettings",
    "InformixLinkedService",
    "InformixSink",
    "InformixSource",
    "InformixTableDataset",
    "IntegrationRuntime",
    "IntegrationRuntimeAuthKeys",
    "IntegrationRuntimeComputeProperties",
    "IntegrationRuntimeConnectionInfo",
    "IntegrationRuntimeCustomSetupScriptProperties",
    "IntegrationRuntimeCustomerVirtualNetwork",
    "IntegrationRuntimeDataFlowProperties",
    "IntegrationRuntimeDataFlowPropertiesCustomPropertiesItem",
    "IntegrationRuntimeDataProxyProperties",
    "IntegrationRuntimeDebugResource",
    "IntegrationRuntimeListResponse",
    "IntegrationRuntimeMonitoringData",
    "IntegrationRuntimeNodeIpAddress",
    "IntegrationRuntimeNodeMonitoringData",
    "IntegrationRuntimeOutboundNetworkDependenciesCategoryEndpoint",
    "IntegrationRuntimeOutboundNetworkDependenciesEndpoint",
    "IntegrationRuntimeOutboundNetworkDependenciesEndpointDetails",
    "IntegrationRuntimeOutboundNetworkDependenciesEndpointsResponse",
    "IntegrationRuntimeReference",
    "IntegrationRuntimeRegenerateKeyParameters",
    "IntegrationRuntimeResource",
    "IntegrationRuntimeSsisCatalogInfo",
    "IntegrationRuntimeSsisProperties",
    "IntegrationRuntimeStatus",
    "IntegrationRuntimeStatusListResponse",
    "IntegrationRuntimeStatusResponse",
    "IntegrationRuntimeVNetProperties",
    "JiraLinkedService",
    "JiraObjectDataset",
    "JiraSource",
    "JsonDataset",
    "JsonFormat",
    "JsonReadSettings",
    "JsonSink",
    "JsonSource",
    "JsonWriteSettings",
    "LakeHouseLinkedService",
    "LakeHouseLocation",
    "LakeHouseReadSettings",
    "LakeHouseTableDataset",
    "LakeHouseTableSink",
    "LakeHouseTableSource",
    "LakeHouseWriteSettings",
    "LinkedIntegrationRuntime",
    "LinkedIntegrationRuntimeKeyAuthorization",
    "LinkedIntegrationRuntimeRbacAuthorization",
    "LinkedIntegrationRuntimeRequest",
    "LinkedIntegrationRuntimeType",
    "LinkedService",
    "LinkedServiceDebugResource",
    "LinkedServiceListResponse",
    "LinkedServiceReference",
    "LinkedServiceResource",
    "LogLocationSettings",
    "LogSettings",
    "LogStorageSettings",
    "LookupActivity",
    "MagentoLinkedService",
    "MagentoObjectDataset",
    "MagentoSource",
    "ManagedIdentityCredential",
    "ManagedIntegrationRuntime",
    "ManagedIntegrationRuntimeError",
    "ManagedIntegrationRuntimeNode",
    "ManagedIntegrationRuntimeOperationResult",
    "ManagedIntegrationRuntimeStatus",
    "ManagedPrivateEndpoint",
    "ManagedPrivateEndpointListResponse",
    "ManagedPrivateEndpointResource",
    "ManagedVirtualNetwork",
    "ManagedVirtualNetworkListResponse",
    "ManagedVirtualNetworkReference",
    "ManagedVirtualNetworkResource",
    "MapperAttributeMapping",
    "MapperAttributeMappings",
    "MapperAttributeReference",
    "MapperConnection",
    "MapperConnectionReference",
    "MapperDslConnectorProperties",
    "MapperPolicy",
    "MapperPolicyRecurrence",
    "MapperSourceConnectionsInfo",
    "MapperTable",
    "MapperTableSchema",
    "MapperTargetConnectionsInfo",
    "MappingDataFlow",
    "MariaDBLinkedService",
    "MariaDBSource",
    "MariaDBTableDataset",
    "MarketoLinkedService",
    "MarketoObjectDataset",
    "MarketoSource",
    "MetadataItem",
    "MicrosoftAccessLinkedService",
    "MicrosoftAccessSink",
    "MicrosoftAccessSource",
    "MicrosoftAccessTableDataset",
    "MongoDbAtlasCollectionDataset",
    "MongoDbAtlasLinkedService",
    "MongoDbAtlasSink",
    "MongoDbAtlasSource",
    "MongoDbCollectionDataset",
    "MongoDbCursorMethodsProperties",
    "MongoDbLinkedService",
    "MongoDbSource",
    "MongoDbV2CollectionDataset",
    "MongoDbV2LinkedService",
    "MongoDbV2Sink",
    "MongoDbV2Source",
    "MultiplePipelineTrigger",
    "MySqlLinkedService",
    "MySqlSource",
    "MySqlTableDataset",
    "NetezzaLinkedService",
    "NetezzaPartitionSettings",
    "NetezzaSource",
    "NetezzaTableDataset",
    "NotebookParameter",
    "ODataLinkedService",
    "ODataResourceDataset",
    "ODataSource",
    "OdbcLinkedService",
    "OdbcSink",
    "OdbcSource",
    "OdbcTableDataset",
    "Office365Dataset",
    "Office365LinkedService",
    "Office365Source",
    "Operation",
    "OperationDisplay",
    "OperationListResponse",
    "OperationLogSpecification",
    "OperationMetricAvailability",
    "OperationMetricDimension",
    "OperationMetricSpecification",
    "OperationServiceSpecification",
    "OracleCloudStorageLinkedService",
    "OracleCloudStorageLocation",
    "OracleCloudStorageReadSettings",
    "OracleLinkedService",
    "OraclePartitionSettings",
    "OracleServiceCloudLinkedService",
    "OracleServiceCloudObjectDataset",
    "OracleServiceCloudSource",
    "OracleSink",
    "OracleSource",
    "OracleTableDataset",
    "OrcDataset",
    "OrcFormat",
    "OrcSink",
    "OrcSource",
    "OrcWriteSettings",
    "OutputColumn",
    "PackageStore",
    "ParameterSpecification",
    "ParquetDataset",
    "ParquetFormat",
    "ParquetReadSettings",
    "ParquetSink",
    "ParquetSource",
    "ParquetWriteSettings",
    "PaypalLinkedService",
    "PaypalObjectDataset",
    "PaypalSource",
    "PhoenixLinkedService",
    "PhoenixObjectDataset",
    "PhoenixSource",
    "PipelineElapsedTimeMetricPolicy",
    "PipelineExternalComputeScaleProperties",
    "PipelineFolder",
    "PipelineListResponse",
    "PipelinePolicy",
    "PipelineReference",
    "PipelineResource",
    "PipelineRun",
    "PipelineRunInvokedBy",
    "PipelineRunsQueryResponse",
    "PolybaseSettings",
    "PostgreSqlLinkedService",
    "PostgreSqlSource",
    "PostgreSqlTableDataset",
    "PostgreSqlV2LinkedService",
    "PostgreSqlV2Source",
    "PostgreSqlV2TableDataset",
    "PowerQuerySink",
    "PowerQuerySinkMapping",
    "PowerQuerySource",
    "PrestoLinkedService",
    "PrestoObjectDataset",
    "PrestoSource",
    "PrivateEndpoint",
    "PrivateEndpointConnectionListResponse",
    "PrivateEndpointConnectionResource",
    "PrivateLinkConnectionApprovalRequest",
    "PrivateLinkConnectionApprovalRequestResource",
    "PrivateLinkConnectionState",
    "PrivateLinkResource",
    "PrivateLinkResourceProperties",
    "PrivateLinkResourcesWrapper",
    "PurviewConfiguration",
    "QueryDataFlowDebugSessionsResponse",
    "QuickBooksLinkedService",
    "QuickBooksObjectDataset",
    "QuickBooksSource",
    "QuickbaseLinkedService",
    "RecurrenceSchedule",
    "RecurrenceScheduleOccurrence",
    "RedirectIncompatibleRowSettings",
    "RedshiftUnloadSettings",
    "RelationalSource",
    "RelationalTableDataset",
    "RemotePrivateEndpointConnection",
    "RerunTumblingWindowTrigger",
    "Resource",
    "ResponsysLinkedService",
    "ResponsysObjectDataset",
    "ResponsysSource",
    "RestResourceDataset",
    "RestServiceLinkedService",
    "RestSink",
    "RestSource",
    "RetryPolicy",
    "RunFilterParameters",
    "RunQueryFilter",
    "RunQueryOrderBy",
    "SSISAccessCredential",
    "SSISChildPackage",
    "SSISExecutionCredential",
    "SSISExecutionParameter",
    "SSISLogLocation",
    "SSISPackageLocation",
    "SSISPropertyOverride",
    "SalesforceLinkedService",
    "SalesforceMarketingCloudLinkedService",
    "SalesforceMarketingCloudObjectDataset",
    "SalesforceMarketingCloudSource",
    "SalesforceObjectDataset",
    "SalesforceServiceCloudLinkedService",
    "SalesforceServiceCloudObjectDataset",
    "SalesforceServiceCloudSink",
    "SalesforceServiceCloudSource",
    "SalesforceServiceCloudV2LinkedService",
    "SalesforceServiceCloudV2ObjectDataset",
    "SalesforceServiceCloudV2Sink",
    "SalesforceServiceCloudV2Source",
    "SalesforceSink",
    "SalesforceSource",
    "SalesforceV2LinkedService",
    "SalesforceV2ObjectDataset",
    "SalesforceV2Sink",
    "SalesforceV2Source",
    "SapBWLinkedService",
    "SapBwCubeDataset",
    "SapBwSource",
    "SapCloudForCustomerLinkedService",
    "SapCloudForCustomerResourceDataset",
    "SapCloudForCustomerSink",
    "SapCloudForCustomerSource",
    "SapEccLinkedService",
    "SapEccResourceDataset",
    "SapEccSource",
    "SapHanaLinkedService",
    "SapHanaPartitionSettings",
    "SapHanaSource",
    "SapHanaTableDataset",
    "SapOdpLinkedService",
    "SapOdpResourceDataset",
    "SapOdpSource",
    "SapOpenHubLinkedService",
    "SapOpenHubSource",
    "SapOpenHubTableDataset",
    "SapTableLinkedService",
    "SapTablePartitionSettings",
    "SapTableResourceDataset",
    "SapTableSource",
    "ScheduleTrigger",
    "ScheduleTriggerRecurrence",
    "ScriptAction",
    "ScriptActivity",
    "ScriptActivityParameter",
    "ScriptActivityScriptBlock",
    "ScriptActivityTypePropertiesLogSettings",
    "SecretBase",
    "SecureInputOutputPolicy",
    "SecureString",
    "SelfDependencyTumblingWindowTriggerReference",
    "SelfHostedIntegrationRuntime",
    "SelfHostedIntegrationRuntimeNode",
    "SelfHostedIntegrationRuntimeStatus",
    "ServiceNowLinkedService",
    "ServiceNowObjectDataset",
    "ServiceNowSource",
    "ServiceNowV2LinkedService",
    "ServiceNowV2ObjectDataset",
    "ServiceNowV2Source",
    "ServicePrincipalCredential",
    "SetVariableActivity",
    "SftpLocation",
    "SftpReadSettings",
    "SftpServerLinkedService",
    "SftpWriteSettings",
    "SharePointOnlineListLinkedService",
    "SharePointOnlineListResourceDataset",
    "SharePointOnlineListSource",
    "ShopifyLinkedService",
    "ShopifyObjectDataset",
    "ShopifySource",
    "SkipErrorFile",
    "SmartsheetLinkedService",
    "SnowflakeDataset",
    "SnowflakeExportCopyCommand",
    "SnowflakeImportCopyCommand",
    "SnowflakeLinkedService",
    "SnowflakeSink",
    "SnowflakeSource",
    "SnowflakeV2Dataset",
    "SnowflakeV2LinkedService",
    "SnowflakeV2Sink",
    "SnowflakeV2Source",
    "SparkConfigurationParametrizationReference",
    "SparkLinkedService",
    "SparkObjectDataset",
    "SparkSource",
    "SqlAlwaysEncryptedProperties",
    "SqlDWSink",
    "SqlDWSource",
    "SqlDWUpsertSettings",
    "SqlMISink",
    "SqlMISource",
    "SqlPartitionSettings",
    "SqlServerBaseLinkedServiceTypeProperties",
    "SqlServerLinkedService",
    "SqlServerLinkedServiceTypeProperties",
    "SqlServerSink",
    "SqlServerSource",
    "SqlServerStoredProcedureActivity",
    "SqlServerTableDataset",
    "SqlSink",
    "SqlSource",
    "SqlUpsertSettings",
    "SquareLinkedService",
    "SquareObjectDataset",
    "SquareSource",
    "SsisEnvironment",
    "SsisEnvironmentReference",
    "SsisFolder",
    "SsisObjectMetadata",
    "SsisObjectMetadataListResponse",
    "SsisObjectMetadataStatusResponse",
    "SsisPackage",
    "SsisParameter",
    "SsisProject",
    "SsisVariable",
    "StagingSettings",
    "StoreReadSettings",
    "StoreWriteSettings",
    "StoredProcedureParameter",
    "SubResource",
    "SubResourceDebugResource",
    "SwitchActivity",
    "SwitchCase",
    "SybaseLinkedService",
    "SybaseSource",
    "SybaseTableDataset",
    "SynapseNotebookActivity",
    "SynapseNotebookReference",
    "SynapseSparkJobDefinitionActivity",
    "SynapseSparkJobReference",
    "TabularSource",
    "TabularTranslator",
    "TarGZipReadSettings",
    "TarReadSettings",
    "TeamDeskLinkedService",
    "TeradataImportCommand",
    "TeradataLinkedService",
    "TeradataPartitionSettings",
    "TeradataSink",
    "TeradataSource",
    "TeradataTableDataset",
    "TextFormat",
    "Transformation",
    "Trigger",
    "TriggerDependencyReference",
    "TriggerFilterParameters",
    "TriggerListResponse",
    "TriggerPipelineReference",
    "TriggerQueryResponse",
    "TriggerReference",
    "TriggerResource",
    "TriggerRun",
    "TriggerRunsQueryResponse",
    "TriggerSubscriptionOperationStatus",
    "TumblingWindowTrigger",
    "TumblingWindowTriggerDependencyReference",
    "TwilioLinkedService",
    "TypeConversionSettings",
    "UntilActivity",
    "UpdateIntegrationRuntimeNodeRequest",
    "UpdateIntegrationRuntimeRequest",
    "UserAccessPolicy",
    "UserProperty",
    "ValidationActivity",
    "VariableSpecification",
    "VerticaLinkedService",
    "VerticaSource",
    "VerticaTableDataset",
    "WaitActivity",
    "WarehouseLinkedService",
    "WarehouseSink",
    "WarehouseSource",
    "WarehouseTableDataset",
    "WebActivity",
    "WebActivityAuthentication",
    "WebAnonymousAuthentication",
    "WebBasicAuthentication",
    "WebClientCertificateAuthentication",
    "WebHookActivity",
    "WebLinkedService",
    "WebLinkedServiceTypeProperties",
    "WebSource",
    "WebTableDataset",
    "WranglingDataFlow",
    "XeroLinkedService",
    "XeroObjectDataset",
    "XeroSource",
    "XmlDataset",
    "XmlReadSettings",
    "XmlSource",
    "ZendeskLinkedService",
    "ZipDeflateReadSettings",
    "ZohoLinkedService",
    "ZohoObjectDataset",
    "ZohoSource",
    "ActivityOnInactiveMarkAs",
    "ActivityState",
    "AmazonRdsForOraclePartitionOption",
    "AmazonRdsForSqlAuthenticationType",
    "AvroCompressionCodec",
    "AzureFunctionActivityMethod",
    "AzurePostgreSqlWriteMethodEnum",
    "AzureSearchIndexWriteBehaviorType",
    "AzureSqlDWAuthenticationType",
    "AzureSqlDatabaseAuthenticationType",
    "AzureSqlMIAuthenticationType",
    "AzureStorageAuthenticationType",
    "BigDataPoolReferenceType",
    "BlobEventTypes",
    "CassandraSourceReadConsistencyLevels",
    "CompressionCodec",
    "ConfigurationType",
    "ConnectionType",
    "CopyBehaviorType",
    "CosmosDbConnectionMode",
    "CredentialReferenceType",
    "DataFlowComputeType",
    "DataFlowDebugCommandType",
    "DataFlowReferenceType",
    "DatasetCompressionLevel",
    "DatasetReferenceType",
    "DayOfWeek",
    "DaysOfWeek",
    "Db2AuthenticationType",
    "DependencyCondition",
    "DynamicsAuthenticationType",
    "DynamicsDeploymentType",
    "DynamicsSinkWriteBehavior",
    "EventSubscriptionStatus",
    "ExpressionType",
    "ExpressionV2Type",
    "FactoryIdentityType",
    "FrequencyType",
    "FtpAuthenticationType",
    "GlobalParameterType",
    "GoogleAdWordsAuthenticationType",
    "GoogleBigQueryAuthenticationType",
    "GoogleBigQueryV2AuthenticationType",
    "GreenplumAuthenticationType",
    "HBaseAuthenticationType",
    "HDInsightActivityDebugInfoOption",
    "HdiNodeTypes",
    "HiveAuthenticationType",
    "HiveServerType",
    "HiveThriftTransportProtocol",
    "HttpAuthenticationType",
    "ImpalaAuthenticationType",
    "IntegrationRuntimeAuthKeyName",
    "IntegrationRuntimeAutoUpdate",
    "IntegrationRuntimeEdition",
    "IntegrationRuntimeEntityReferenceType",
    "IntegrationRuntimeInternalChannelEncryptionMode",
    "IntegrationRuntimeLicenseType",
    "IntegrationRuntimeReferenceType",
    "IntegrationRuntimeSsisCatalogPricingTier",
    "IntegrationRuntimeState",
    "IntegrationRuntimeType",
    "IntegrationRuntimeUpdateResult",
    "JsonFormatFilePattern",
    "JsonWriteFilePattern",
    "ManagedIntegrationRuntimeNodeStatus",
    "ManagedVirtualNetworkReferenceType",
    "MappingType",
    "MongoDbAuthenticationType",
    "NetezzaPartitionOption",
    "NotebookParameterType",
    "NotebookReferenceType",
    "ODataAadServicePrincipalCredentialType",
    "ODataAuthenticationType",
    "OracleAuthenticationType",
    "OraclePartitionOption",
    "OrcCompressionCodec",
    "ParameterType",
    "PhoenixAuthenticationType",
    "PipelineReferenceType",
    "PolybaseSettingsRejectType",
    "PrestoAuthenticationType",
    "PublicNetworkAccess",
    "RecurrenceFrequency",
    "RestServiceAuthenticationType",
    "RunQueryFilterOperand",
    "RunQueryFilterOperator",
    "RunQueryOrder",
    "RunQueryOrderByField",
    "SalesforceSinkWriteBehavior",
    "SalesforceSourceReadBehavior",
    "SalesforceV2SinkWriteBehavior",
    "SapCloudForCustomerSinkWriteBehavior",
    "SapHanaAuthenticationType",
    "SapHanaPartitionOption",
    "SapTablePartitionOption",
    "ScriptActivityLogDestination",
    "ScriptActivityParameterDirection",
    "ScriptActivityParameterType",
    "ScriptType",
    "SelfHostedIntegrationRuntimeNodeStatus",
    "ServiceNowAuthenticationType",
    "ServiceNowV2AuthenticationType",
    "ServicePrincipalCredentialType",
    "SftpAuthenticationType",
    "SnowflakeAuthenticationType",
    "SparkAuthenticationType",
    "SparkConfigurationReferenceType",
    "SparkJobReferenceType",
    "SparkServerType",
    "SparkThriftTransportProtocol",
    "SqlAlwaysEncryptedAkvAuthType",
    "SqlDWWriteBehaviorEnum",
    "SqlPartitionOption",
    "SqlServerAuthenticationType",
    "SqlWriteBehaviorEnum",
    "SsisLogLocationType",
    "SsisObjectMetadataType",
    "SsisPackageLocationType",
    "StoredProcedureParameterType",
    "SybaseAuthenticationType",
    "TeamDeskAuthenticationType",
    "TeradataAuthenticationType",
    "TeradataPartitionOption",
    "TriggerReferenceType",
    "TriggerRunStatus",
    "TriggerRuntimeState",
    "TumblingWindowFrequency",
    "Type",
    "ValueType",
    "VariableType",
    "WebActivityMethod",
    "WebAuthenticationType",
    "WebHookActivityMethod",
    "ZendeskAuthenticationType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
